###############################################################################
#   
#  ident "SCCS/s.BE-ENV.sh 1.9 10/10/05:15:41:44 SMI"
#
#    Copyright 2002 by Sun Microsystems, Inc.
#    All rights reserved
#   
###############################################################################
#   
#    Description: 
#       This script is used to set up the POD repository environment
#       for regression testing.
#   
#    Usage: 
#        . ./BE-ENV.sh
#
# 8/1/2006 - this comment added to exercise TeamWare against rockpile.central
#   
###############################################################################
# 05/15/2006 - Philippe - added path to 'cc' and 'make' for Pro*C compilations

TEST_HOME=`pwd`
export TEST_HOME

TZ=US/Mountain
export TZ

# POD Install
#
# NOTE: It is critical to specify the real directory
# here (not the symlink), because this value is used by
# the automated package removal and deployment scripts
# in the continuous integration environment!
#
INSTALL_HOME=/opt/PatchNG_Tools/V6.0
export INSTALL_HOME

# Java
JAVA_HOME=/usr/dist/share/java,v1.4.2/5.x-sun4
export JAVA_HOME

# Oracle
oracle_base=/ora01/app/oracle
ORACLE_SID=PATCH60
ORACLE_HOME=${oracle_base}/product/9.2.0.3
JDBC_HOME=${ORACLE_HOME}/jdbc
jdbc_classpath=${JDBC_HOME}/lib/classes12.zip
TNS_ADMIN=${oracle_base}/admin/local/network
export ORACLE_SID ORACLE_HOME JDBC_HOME TNS_ADMIN

# Ant
ANT_HOME=/usr/local/jakarta-ant-1.5
ant_classpath=${ANT_HOME}/lib/xml-apis.jar:${ANT_HOME}/lib/xercesImpl.jar:${ANT_HOME}/lib/ant.jar
export ANT_HOME

# Finally, set CLASSPATH
CLASSPATH=${CLASSPATH}:${jdbc_classpath}
CLASSPATH=${CLASSPATH}:${ant_classpath}
CLASSPATH=${CLASSPATH}:${TEST_HOME}/lib/junit.jar
export CLASSPATH

# Finally, set environment
PATH=${JAVA_HOME}/bin:${PATH}
PATH=${ORACLE_HOME}/bin:${PATH}
PATH=${ANT_HOME}/bin:${PATH}
# Pick up 'cc' and 'make' for Pro*C compilations
# (put anthrax compiler path first to avoid /usr/ucb/cc)
PATH=/net/anthrax.central/export/tools/on10-tools/SUNWspro/SC6.1/bin:${PATH}
PATH=${PATH}:/usr/ccs/bin
# end of additions for Pro*C compilations
export PATH

LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${ORACLE_HOME}/lib32:${ORACLE_HOME}/lib
export LD_LIBRARY_PATH
